# GET /simulations/{simulation_id}/runs/{simulation_run_id}

**Get a run for a simulation**

Returns a simulation run using its ID.

Use the `include` parameter to include related entities in the response.

**Required permissions:** `notification_simulation.read`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `simulation_id` | string | required | Paddle ID of the simulation entity to work with. |
| `simulation_run_id` | string | required | Paddle ID of the simulation run entity to work with. |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `include` | array | optional | Include related entities in the response. |

## Response (200)

- `data` (required) — Represents a simulation run entity.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "id": "ntfsimrun_01j82h13n87yq2sfv187hm2r0p",
    "status": "completed",
    "type": "subscription_creation",
    "created_at": "2024-09-18T12:17:04.168467Z",
    "updated_at": "2024-09-18T12:17:17.663481Z"
  },
  "meta": {
    "request_id": "eb5331b5-496d-41ed-9e15-dce968e3bbc6"
  }
}
```
